/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Interred Grizzle\Questgiver\conversations.cs
Lines of code: 68
***********************************************************/


using System;
using Server;

namespace Server.Engines.Quests.Grizzle
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{

				return "You seem preoccupied at the moment, please return when you are fully ready to be of good use!";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "Thank you!  Go and gather the 5 thesis notes by killing any of the named monsters and get back to me as soon as possible!";
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
			
		}
	}

	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "<i>Thank you so much, I am overjoyed! I have waited so long for that tyrant to be dead!</i> <br><br>After what seems to be an eternity, you are given a special bag of keys. You feel priviledged to have been given the oppurtunity to slay the foe. <br><br>Make sure you, and all your party members are standing next to each other before double clicking the master key!</i> ";
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
			GrizzleQuest.GiveRewardTo( System.From);
		}
	}
	
	public class NotDoneConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "You do not yet have all the theisis notes, please continue to slay the undead and gather all 5 notes before returning to me. ";
			}
		}

		public NotDoneConversation()
		{
		}

		public override void OnRead()
		{
		}
	}	
	
	
}